flightgear (1:2020.3.6+dfsg-1build2) kinetic; urgency=medium

  * No-change rebuild against Qt 5.15.4.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 17 May 2022 13:00:13 +0300

flightgear (1:2020.3.6+dfsg-1build1) jammy; urgency=medium

  * No-change rebuild against Qt 5.15.3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 17 Mar 2022 18:36:14 +0300

flightgear (1:2020.3.6+dfsg-1) unstable; urgency=medium

  * New upstream release 2020.3.6+dfsg
  * Refresh patch spelling_20160206.patch
  * Adjust dependencies on data packages

 -- Markus Wanner <markus@bluegap.ch>  Sat, 13 Feb 2021 22:18:23 +0100

flightgear (1:2020.3.5+dfsg-1) unstable; urgency=medium

  * New upstream release 2020.3.5+dfsg
  * Add patch 0011-test-compilation-fix.patch.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 28 Dec 2020 09:46:49 +0100

flightgear (1:2020.3.4+dfsg-1) unstable; urgency=medium

  * New upstream version 2020.3.4+dfsg
    - Refresh patches
  * Update Standards-Version to 4.5.1, no changes needed
  * Update versioned Build-Dependencies to new data packages

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 08 Dec 2020 23:44:10 +0100

flightgear (1:2020.1.3+dfsg-2) unstable; urgency=medium

  * Fix HID extractBits for big-endian systems.
    Thanks to Joel Ray Holveck <joelh@piquan.org> (Closes: #963201)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 13 Oct 2020 14:04:22 +0200

flightgear (1:2020.1.3+dfsg-1) unstable; urgency=medium

  * New upstream version 2020.1.3+dfsg
    - Refresh patches
    - Update versioned Build-Dependencies to new data packages
  * Fix FTBFS on i386 due to excess precision.
    Thanks to Adrian Bunk <bunk@debian.org> (Closes: #963200)
  * Add Rules-Requires-Root: no

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 13 Jul 2020 10:50:46 +0200

flightgear (1:2020.1.2+dfsg-1) unstable; urgency=medium

  * New upstream version 2020.1.2+dfsg
    - Fix FTBFS with openscenegraph 3.6.5 (Closes: #961522)
    - Fix FTBFS with boost 1.71 (Closes: #960413)
    - Update versioned Build-Dependencies to new data packages
    - Refresh patches
    - d/rules: Update name of test suite makefile target
    - Disable some newly failing tests
  * Use debhelper-compat 13
  * Convert patches from quilt to git-buildpackage
  * Update Standards-Version to 4.5.0, no changes needed
  * d/rules: Remove DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
  * Build-Depend on libexpat1-dev

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 18 Jun 2020 21:49:06 +0200

flightgear (1:2019.1.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Move away dependencies from openscenegraph-3.4, now the main
    openscenegraph is at version 3.6, and the 3.4 is scheduled for removal.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Nov 2019 08:57:44 +0100

flightgear (1:2019.1.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2019.1.1+dfsg
    - Clean up and refresh patches, remove parts which are not displayed
      to the user
  * Update Standards-Version to 4.4.0, no changes needed
  * Update d/copyright
  * Use debhelper-compat v11
  * Apply some changes from cme fix dpkg
  * Update versioned Build-Dependencies to new data packages

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 10 Aug 2019 00:21:29 +0200

flightgear (1:2018.3.2+dfsg-2) unstable; urgency=medium

  * Add patch to fix FTBFS on armel and armhf

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 06 Feb 2019 12:38:53 +0100

flightgear (1:2018.3.2+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.3.2+dfsg
    - Refresh patches
    - Update versioned Build-Dependencies to new data packages
  * Update Standards-Version to 4.3.0, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 02 Feb 2019 00:32:25 +0100

flightgear (1:2018.3.1+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Dr. Tobias Quathamer ]
  * New upstream version 2018.3.1+dfsg
    - Refresh patches
    - Update versioned Build-Dependencies to new data packages
    - Add two new Build-Dependencies
  * Use version 4 for d/watch
  * Use xz compression for repacked upstream tarball
  * Use HTTPS for upstream homepage
  * Update Standards-Version to 4.2.1, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 17 Dec 2018 23:07:40 +0100

flightgear (1:2018.2.2+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.2.2+dfsg
    - Refresh patches
    - Add new patch to disable some failing tests for now
    - Update versioned Build-Dependencies to new data packages
  * Update Standards-Version to 4.2.0, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 23 Aug 2018 22:04:36 +0200

flightgear (1:2018.1.1+dfsg-3) unstable; urgency=medium

  * Add dependency on the qml modules qml-module-qtquick2 and
    qml-module-qtquick-window2. Closes: #897159.
  * Disable the QT launcher for architectures armel and armhf.
    Closes: #895332.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 07 May 2018 20:19:12 +0200

flightgear (1:2018.1.1+dfsg-2) unstable; urgency=medium

  * Set maintainer e-mail address to team+flightgear@tracker.d.o

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 05 May 2018 17:54:09 +0200

flightgear (1:2018.1.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.1.1+dfsg
    - Refresh patches
    - Update versioned Build-Dependencies to new data packages
    - Update d/copyright for new code in 3rdparty
    - Add Build-Depends on qtbase5-dev, qtbase5-private-dev,
      and qtdeclarative5-private-dev
  * Update Standards-Version to 4.1.4
    - Use HTTPS for d/copyright (really this time)
    - Remove target get-orig-source and use uscan instead
  * Add myself as uploader

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 23 Apr 2018 15:19:15 +0200

flightgear (1:2017.3.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Use debhelper v11
  * Remove outdated versioned Build-Depends on cmake
  * Remove obsolete package libcurl-dev from Build-Depends
  * Remove unneeded Build-Depends: freeglut3-dev, libalut-dev,
    libice-dev, libjpeg-dev, libpng-dev, libsm-dev, libxext-dev,
    libxi-dev, libxmu-dev, libxt-dev.
  * Revert back to libopenscenegraph 3.2 on armel and armhf.
    The libopenscenegraph-3.4 version results in FTBFS errors
    on those two architectures.
  * Remove version constraints from Build-Depends.
    All packages are with the required minimum version in oldstable,
    sometimes even old-oldstable.
  * Switch Vcs-URLs to salsa.d.o
  * The manpage for terrasync.1 has been removed upstream since version
    2017.3.1, upstream commit aa090b5. Closes: #857062
  * Update Standards-Version to 4.1.3, no changes needed
  * Remove unneeded lintian overrides for source package

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 13 Mar 2018 21:21:34 +0100

flightgear (1:2017.3.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Use wrap-and-sort for debian control files
  * Add Conflicts with package "metar", as we both provide a manpage metar.1.
    Due to the low popcon and dead upstream of metar, a conflict seems
    to be justified instead of more complex solutions like using the
    alternatives system.
    Thanks to Andreas Beckmann <anbe@debian.org> (Closes: #879880)
  * Add --as-needed to the linker call to avoid useless dependencies

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 27 Oct 2017 20:37:34 +0200

flightgear (1:2017.3.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Use libopenscenegraph 3.4 instead of 3.2

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 22 Oct 2017 20:29:09 +0200

flightgear (1:2017.3.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2017.3.1+dfsg. Closes: #878631
    - Refresh patches
    - Remove patch init-allowed-paths-earlier, applied upstream
    - Remove patch prevent-arbitrary-file-writes, applied upstream
  * Update Standards-Version to 4.1.1
    - Use Priority: optional
    - Use HTTPS for URL in d/copyright
  * Fix typo in Vcs-Browser URL
  * Update dependencies on flightgear-data and simgear-dev
  * Use debhelper v10

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 15 Oct 2017 21:37:06 +0200

flightgear (1:2017.2.1+dfsg-4) unstable; urgency=high

  * Add patches init-allowed-paths-earlier-secu-fix-c004ea.patch
    and prevent-arbitrary-file-writes-secu-fix-79e3bc.patch:
    prevent malicious add-ons fro moverriding arbitrary files.
    Closes: #873439 (CVE-2017-13709)

 -- Markus Wanner <markus@bluegap.ch>  Thu, 31 Aug 2017 06:46:33 +0200

flightgear (1:2017.2.1+dfsg-3) unstable; urgency=medium

  * Fix a failure to build from source by de-parallelize
    unit test runs. Closes: #869935.

 -- Markus Wanner <markus@bluegap.ch>  Thu, 27 Jul 2017 22:02:00 +0200

flightgear (1:2017.2.1+dfsg-2) unstable; urgency=medium

  * Replace B-D qtbase5-dev with qtdeclarative5-dev. Closes: #868618.
  * Add some flightgear-data packages required for tests to B-D.
  * Add spelling_20170725.patch, add a description to the last
    spelling patch of 20161102.
  * Very minory update of d/copyright.

 -- Markus Wanner <markus@bluegap.ch>  Thu, 27 Jul 2017 13:28:39 +0200

flightgear (1:2017.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh spelling patches spelling_20160206.patch and
    spelling_20160920.patch.
  * Drop patch relax_version_check.patch, it got applied upstream.
  * Adjust dependency on flightgear-data and simgear-dev.

 -- Markus Wanner <markus@bluegap.ch>  Sat, 15 Jul 2017 16:28:24 +0200

flightgear (1:2016.4.4+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix RouteMgr security: don't allow overwriting arbitrary files.
    This fixes CVE-2017-8921.
    Thanks to Salvatore Bonaccorso <carnil@debian.org> (Closes: #862689)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 19 May 2017 21:10:15 +0200

flightgear (1:2016.4.4+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Depend on simgear 2016.4.4, the package FTBFS with earlier versions.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 24 Jan 2017 21:38:55 +0100

flightgear (1:2016.4.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch route-manager-secu-fix-6a05d592.patch, it got applied
    upstream.
  * Add patch relax_version_check.patch. Closes: #850207.

 -- Markus Wanner <markus@bluegap.ch>  Sun, 15 Jan 2017 20:29:16 +0100

flightgear (1:2016.4.3+dfsg-2) unstable; urgency=medium

  * Rebuild against simgear-2016.4.3+dfsg-2.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 19 Dec 2016 12:55:58 +0100

flightgear (1:2016.4.3+dfsg-1) unstable; urgency=high

  * New upstream release.
  * Refresh patch spelling_20160920.patch.
  * Add patch route-manager-secu-fix-280cd5.patch to prevent the
    route manager from writing arbitrary files. Closes: #848114.
  * Update dependency on simgear to ensure this builds against the
    corresponding version.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 14 Dec 2016 20:15:09 +0100

flightgear (1:2016.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release. Closes: #839083.
  * Refresh existing spelling patches, add spelling_20161121.patch.
  * Drop patch additional_lib_links.patch, seems unnecessary now that
    we link simgear statically.
  * Drop cmake variables ENABLE_FGADMIN, FGCOM_DATA_PATH and
    SIMGEAR_SHARED, these are no longer supported (and would be ignored,
    anyways).
  * Update d/copyright: drop a removed file.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 28 Nov 2016 23:09:19 +0100

flightgear (1:2016.3.1+dfsg-2) unstable; urgency=medium

  * Correct dependency on flightgear-data: add epoch.

 -- Markus Wanner <markus@bluegap.ch>  Thu, 29 Sep 2016 12:00:36 +0200

flightgear (1:2016.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Adjust dependencies in debian/control.
  * Enable all hardening featueres.
  * Drop patch 0001-Use-CMAKE_INSTALL_BINDIR.patch, it got applied
    upstream.
  * Refresh patches spelling_20160206.patch and spelling_20160529.patch
  * Add patch spelling_20160920.patch.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 20 Sep 2016 22:24:22 +0200

flightgear (1:2016.2.1+dfsg-6) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Drop obsolete menu and xpm icons, fix icon istall. Closes: #830701.
    (LP: #1591115).
  * Switch to automatic dbgsym package; bump debhelper for migration rule.
  * Add 0001-Use-CMAKE_INSTALL_BINDIR.patch and simplify d/rules
  * Update VCS links.

 -- Markus Wanner <markus@bluegap.ch>  Sun, 10 Jul 2016 22:30:27 +0200

flightgear (1:2016.2.1+dfsg-5) unstable; urgency=medium

  * Upload to unstable. Closes: #830146.
  * Add a description for patch additional_lib_links.patch.
  * Drop the duplicate libcurl-dev, add the real package option
    libcurl4-gnutls-dev as hinted by lintian.
  * Reduce flightgear-phi to a recommendation.

 -- Markus Wanner <markus@bluegap.ch>  Thu, 07 Jul 2016 08:53:45 +0200

flightgear (1:2016.2.1+dfsg-4) experimental; urgency=medium

  * Add more forgotten B-Ds: really add expat this time.

 -- Markus Wanner <markus@bluegap.ch>  Thu, 02 Jun 2016 09:01:53 +0200

flightgear (1:2016.2.1+dfsg-3) experimental; urgency=medium

  * Add more forgotten B-Ds: expat and udns.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 01 Jun 2016 14:06:31 +0200

flightgear (1:2016.2.1+dfsg-2) experimental; urgency=medium

  * Add libcurl-dev B-D to fix the build.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 01 Jun 2016 09:07:45 +0200

flightgear (1:2016.2.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Enable SYSTEM_SPEEX, disable SIMGEAR_SHARED and re-enable FGADMIN.
  * Remove unneeded copies of sqlite3 and hts_engine_API from the source
    tarball, update d/copyright accordingly.
  * Update S-V: no changes required.
  * Update the watch file to point to sourceforge.
  * Refresh patch spelling_20160206.patch, add another spelling patch.
  * Add dependency on flightgear-phi.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 31 May 2016 21:38:12 +0200

flightgear (1:2016.1.0+git20160206+c72309+dfsg-1) experimental; urgency=medium

  * New upstream pre-release.
  * Adjust simgear dependencies.
  * Update debian/copyright information.
  * Drop patches 51bfdc.patch, 6a30e7.patch, crashfix.patch and
    spelling.patch: These got included upstream.
  * Drop patch add-x11-lib.patch, it's no longer necessary.
  * Extend the spelling patch and rename to spelling_20160206.patch.
  * Re-enable the launcher.
  * Repackage upstream's source to remove a pre-built jar file, adjust
    the watchfile.
  * Bump S-V: no changes required.

 -- Markus Wanner <markus@bluegap.ch>  Sat, 06 Feb 2016 20:57:07 +0100

flightgear (3.4.0-3) unstable; urgency=medium

  * Correct libpng dependency. Closes: #809835.
  * Drop a few other outdated alternatives for B-Ds.
  * Add spelling2.patch to fix more spelling mistakes.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 05 Jan 2016 20:00:06 +0100

flightgear (3.4.0-2) unstable; urgency=medium

  * Recompile with gcc5, link against renamed simgear.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 10 Nov 2015 19:38:40 +0100

flightgear (3.4.0-1) unstable; urgency=medium

  * Upload to unstable. Closes: #786602.
  * Change public-domain short names to avoid a lintian warning.
  * Refresh patch 6a30e7.patch.
  * Add patch add-x11-lib.patch to fix the build on sid.

 -- Markus Wanner <markus@bluegap.ch>  Sun, 24 May 2015 09:29:10 +0200

flightgear (3.4.0-0~exp2) experimental; urgency=high

  [ Markus Wanner ]
  * Drop the deprecated JPEG_FACTORY option for cmake.
  * Rebase on 3.0.0-5, effectively adding patch 6a30e70.patch.
  * Set ENABLE_QT=ON and add a B-D on qtbase5-dev to build the
    flightgear launcher. Change flightgear.desktop to use that
    launcher, rather than starting fgfs with default settings.
  * Tighten B-D on sqlite3 and htsengine. Versions before the given
    ones are known to not work.
  * Add 51bfdc.patch from upstream.

  [ Rebecca N. Palmer ]
  * Add crashfix.patch from upstream.
  * Add spelling.patch.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 13 Apr 2015 11:43:06 +0200

flightgear (3.4.0-0~exp1) experimental; urgency=medium

  [ Rebecca N. Palmer ]
  * New upstream pre-release. Closes: LP: #1414379.
  * Drop all patches, they got applied upstream.
  * Update simgear, flightgear-data, openscenegraph required versions.
  * Add flite1-dev and libhtsengine-dev dependencies.

  [ Markus Wanner ]
  * Drop a dubious Pre-Depends line for flightgear-dbg.
  * Update debian/copyright for the new release.
  * Update debian/watch.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 18 Feb 2015 22:40:24 +0100

flightgear (3.2.0-1~exp2) UNRELEASED; urgency=medium

  * New upstream release.
  * Drop patches systemLibraries.patch, nasal-fix, and
    fix-mobile-tacan.patch; they hall got applied upstream.
  * Adjust dependencies on simgear.
  * Add a flightgear-dbg package for debugging symbols.
  * Add a simple patch that fixes some spelling errors.

 -- Markus Wanner <markus@bluegap.ch>  Thu, 30 Oct 2014 10:01:10 +0100

flightgear (3.0.0-5) unstable; urgency=high

  * Add patch 6a30e70.patch to better restrict file access from
    nasal scripts. Closes: #780712.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 18 Mar 2015 08:45:21 +0100

flightgear (3.0.0-4) unstable; urgency=medium

  * Add patch 750939.patch. Closes: #750939.

 -- Markus Wanner <markus@bluegap.ch>  Fri, 07 Nov 2014 17:27:44 +0100

flightgear (3.0.0-3) unstable; urgency=medium

  * Change B-D to libjpeg-dev to finish the transition to
    libjpeg-turbo. Closes: #763470.
  * Increment simgear dependency due to incompatible patch.
  * Correct, update and simplify copyright file.
  * Bump S-V: no changes required.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 08 Oct 2014 08:26:10 +0200

flightgear (3.0.0-2) unstable; urgency=low

  * Add nasal-fix.patch from upstream. Closes: #746475.
  * Add fix-mobile-tacan.patch from upstream.
  * Add libspeexdsp-dev B-D.

 -- Markus Wanner <markus@bluegap.ch>  Thu, 22 May 2014 21:16:25 +0200

flightgear (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Adjust watchfile to account for release candidates.
  * Adjust dependencies to require at least 3.0.0 of simgear and
    flightgear-data packages.
  * Move fgcom data to /usr/share/games/flightgear.
  * Correct doc-base registration of additional HTML documents.
  * Link against system-provided libgsm and libspeex.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 19 Feb 2014 08:23:38 -0800

flightgear (3.0.0~git20140204+c99ea4-1) unstable; urgency=low

  [ Markus Wanner ]
  * Upload to unstable.
  * Adjust B-D to allow building on kfreebsd-*. Closes: #724686.
  * Add a lintian-overrides on autotools; we use cmake.
  * Upstream corrected the fgfs manpage. Closes: #556362.
  * Drop unnecessary man page for gl-info. Closes: #698308.
  * Drop README.Linux: it's outdated to the point of uselessness.
    Closes: #574173.
  * Add an upper limit of libsimgear-dev versions that flightgear can be
    built with. Closes: #738436.
  * Drop the libsvn-dev dependency, neither flightgear nor simgear depend
    on libsvn, anymore. Closes: #682947.
  * List icons in debian/install rather than copying around from rules.
  * Update menu entry for flightgear, add one for fgcom; add .xpm icons.
    Closes: #713924.
  * flightgear.desktop: add German translation
  * Bump Standards-Version to 3.9.5; no changes needed.

  [ Rebecca Palmer ]
  * New upstream release.
  * Install the icons (based on code by Saikrishna Arcot).  (Not a
    complete fix for LP908153 as it only sets the menu/Dash icon, not the
    running window's icon, but better than nothing).
  * Disable screensaver while running. Closes: LP#793599. Add required
    libdbus-1-dev dependency.
  * Remove outdated README.Debian.
  * Terrasync now works after just ticking the box. Closes: #252899.
  * Always set Terrasync directory.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 21 Jan 2014 22:31:02 +0100

flightgear (2.12.0-1) experimental; urgency=low

  * New upstream release. Closes: #723976, #487388.
  * Adjust dependencies on simgear and flightgear-data for 2.12.
  * Drop patches terrasync.patch, CVE-2012-2090.diff, CVE-2013-2091.diff,
    and bug1117.diff. These got applied upstream.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 23 Sep 2013 22:20:15 +0200

flightgear (2.10.0-4) unstable; urgency=low

  * Accept libopenscenegraph-3.2.0~rc1, again, as per discussion with OSG
    maintainers. Recompile against that version. Closes: #722193.

 -- Markus Wanner <markus@bluegap.ch>  Fri, 20 Sep 2013 20:18:15 +0200

flightgear (2.10.0-3) unstable; urgency=low

  * Mark libopenscenegraph-3.2.0~rc1 as breaking simgear: it uses a
    library major version different from the final 3.2.0 series.
    Closes: #722193.

 -- Markus Wanner <markus@bluegap.ch>  Fri, 13 Sep 2013 20:56:14 +0200

flightgear (2.10.0-3) UNRELEASED; urgency=low

  * Mark libopenscenegraph-3.2.0~rc1 as breaking simgear: it uses a
    library major version different from the final 3.2.0 series.
    Closes: #722193.

 -- Markus Wanner <markus@bluegap.ch>  Fri, 13 Sep 2013 09:09:55 +0200

flightgear (2.10.0-2) unstable; urgency=low

  * Fix for CVE-2012-2090: prevent %n from being passed to format strings.
  * Fix for CVE-2012-2091: use snprintf() rather than sprintf().
  * Fix upstream issue #1117 similar to CVE-2012-2091. Closes: #669025.
  * Upload to unstable.

 -- Markus Wanner <markus@bluegap.ch>  Sun, 08 Sep 2013 10:25:06 +0200

flightgear (2.10.0-1) experimental; urgency=low

  * New upstream release 2.10.0. (Closes: #718379, #673314).
  * Adjust dependencies to match new version.
  * Adjust simgear-dev being renamed to libsimgear-dev.
  * Drop obsolete ORed build dependencies: xlibmesa-gl-dev,
    xlibmesa-glu-dev, xlibglu1-xorg-dev
  * Refresh terrasync.patch.
  * Drop the browser patch, it doesn't apply anymore (TODO: check if it's
    still necessary).
  * Further simplification of rules:
    - leave parsing of DEB_BUILD_OPTIONS to debhelper
    - merge {C,CXX}FLAGS into CMAKE_FLAGS
    - pass BUILD_TYPE = RelWithDebInfo
    - add LDFLAGS as CMAKE_SHARED_LINKER_FLAGS
    - make sure CXX_FLAGS_RELWITHDEBINFO doesn't override the optimization
      level given by dpkg-buildflags via CXXFLAGS
    - turn on verbose Makefile
  * Adapt to renamed data packages. Add all data packages as
    dependencies. Anything less doesn't seem to be supported upstream.
  * Direct the Vcs-Browser to gitweb, rather than raw git http.
  * Add myself as an uploader.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 28 Aug 2013 09:35:49 +0200

flightgear (2.6.0-2) UNRELEASED; urgency=low

  * Team upload.
  * Bumped D-S-V to 3.9.4
  * debian/control VCS point to new git repo in collab-maint
  * Lintian cleaning
    - debian/control: build-depends-on-1-revision, simgear-dev
    - debian/menu: unquoted-string-in-menu-item
    - package-contains-readme-for-other-platform-or-distro
      rm usr/share/doc/flightgear/README.Cygwin
      rm usr/share/doc/flightgear/README.IRIX
      rm usr/share/doc/flightgear/README.MacOS
    - debian/rules: added hardening flags
    - debian/flightgear.desktop: remove depricated Encoding field
  * Thorough review and edit of debian/copyright
    - added copywrite_check to debian/rules to easy maintenance
    - DEP-5 style copyright
  * added get-orig-source target to debian/rules
  * use ${source:Version} substr in debian/control instead of explicitly
    naming the version

 -- Scott Howard <showard@debian.org>  Sun, 06 Jan 2013 21:43:23 -0500

flightgear (2.6.0-1) unstable; urgency=low

  * New upstream release.
  * Depend on cmake. No longer depend on autotools-dev.
  * Updated debian/rules for the new cmake-based build
    system used by upstream, and cleaned it up a bit.
  * Switched source package format to 3.0 (quilt).
  * Added build-dependencies on libplib-dev, libudev-dev,
    and libpng12-dev.

 -- Ove Kaaven <ovek@arcticnet.no>  Mon, 16 Jul 2012 06:01:36 +0200

flightgear (2.4.0-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * Fix FTBFS with svn 1.7 by adding missing include statement. (Closes: #678783).
  * Set urgency=high to fix the RC bug.

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 27 Jun 2012 17:39:22 +0200

flightgear (2.4.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build failure with GCC 4.7.  Closes: #667167.
    - utils/TerraSync/terrasync.cxx: Include <unistd.h> for
      write, getpid, sleep.

 -- Matej Vela <vela@debian.org>  Sun, 20 May 2012 01:38:16 +0100

flightgear (2.4.0-1) unstable; urgency=low

  * New upstream release. Closes: #638588.
  * Build-Depend on OpenSceneGraph 3.0, and the Subversion library.
  * Recommend fgfs-scenery-base.
  * Enable parallel builds (shorter compile times on multicore CPUs).
  * Removed hack that tried to build without optimizations if
    building with optimizations fails.

 -- Ove Kaaven <ovek@arcticnet.no>  Sat, 03 Sep 2011 22:16:12 +0200

flightgear (2.0.0-4) unstable; urgency=low

  * Backported a bunch of upstream commits (from their git tree)
    for support of newer versions of OpenSceneGraph:
    f901dac 4b2436a c5366cc b692a16 473cea7
    Closes: #634424

 -- Ove Kaaven <ovek@arcticnet.no>  Fri, 22 Jul 2011 01:58:19 +0200

flightgear (2.0.0-3) unstable; urgency=low

  * Recommend fgfs-aircraft-base and fgfs-models-base.
    Closes. #610276.
  * Added note about scenery SharedModels.tgz to README.Debian.

 -- Ove Kaaven <ovek@arcticnet.no>  Sun, 30 Jan 2011 15:46:35 +0100

flightgear (2.0.0-2) unstable; urgency=low

  * Build-Depend on simgear 2.0.0-2, which hopefully now
    builds correctly.
  * Also remember to use pbuilder. Closes: #609572.

 -- Ove Kaaven <ovek@arcticnet.no>  Tue, 11 Jan 2011 04:24:20 +0100

flightgear (2.0.0-1) unstable; urgency=low

  * New upstream release. Closes: #573037.
  * Add ${misc:Depends} to debian/control.

 -- Ove Kaaven <ovek@arcticnet.no>  Sun, 03 Oct 2010 19:39:36 +0200

flightgear (1.9.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: UGear_command.cxx:41: error: 'snprintf' was not declared in
    this scope". Applied patch by Cyril Brulebois (Closes: #560494)

 -- Bastian Venthur <venthur@debian.org>  Sun, 21 Feb 2010 16:40:20 +0100

flightgear (1.9.1-1) unstable; urgency=low

  * New upstream release. Closes: #510387.
  * Updated debian/control and things for FlightGear 1.9.1.
    This includes depending on plib 1.8.5. Closes: #528635.
  * Added Vcs-Browser and Vcs-Svn fields to debian/control.
  * Converted debian/watch to version 3. Closes: #529110.

 -- Ove Kaaven <ovek@arcticnet.no>  Sun, 14 Jun 2009 21:35:48 +0200

flightgear (1.0.0-3) unstable; urgency=low

  * Made the pkg-fgfs-crew mailing list the official maintainer of the
    FlightGear package, and myself a mere uploader.
  * Updated libglut3-dev build-dependency to freeglut3-dev. Closes:
    #394491.

 -- Ove Kaaven <ovek@arcticnet.no>  Sat, 21 Jun 2008 14:10:28 +0200

flightgear (1.0.0-2) unstable; urgency=low

  * Added Homepage field.
  * Added flightgear.desktop file by Lukas Fittl. Closes: #409683.
  * Build-Depend on simgear-dev 1.0.0-3 or later.
  * Reverted all Debian patches to upstream's makefiles;
    with simgear 1.0.0-3 they shouldn't be needed anymore.
  * Use debian/compat file instead of setting DH_COMPAT in debian/rules.
    Upgraded DH build-dependency and compatibility level to 5.
  * Set optimization level according to DEB_BUILD_OPTIONS.
  * No longer clear -g according to DEB_BUILD_OPTIONS, leave that
    to dh_strip.
  * Upgraded Standards-Version to 3.7.3.
  * Cleaned debian/rules by removing a whole lot of unnecessary
    dh_* calls (originally from the dh_make template).

 -- Ove Kaaven <ovek@arcticnet.no>  Thu, 10 Apr 2008 10:13:54 +0200

flightgear (1.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Ove Kaaven <ovek@arcticnet.no>  Sat, 22 Dec 2007 15:39:49 +0100

flightgear (0.9.10-2) unstable; urgency=low

  * Updated the build dependencies for xorg 7.0. Apparently the
    amd64 autobuilder doesn't use Provides.

 -- Ove Kaaven <ovek@arcticnet.no>  Wed, 17 May 2006 17:12:09 -0400

flightgear (0.9.10-1) unstable; urgency=low

  * New upstream release.

 -- Ove Kaaven <ovek@arcticnet.no>  Fri,  5 May 2006 20:02:30 -0400

flightgear (0.9.9-2) unstable; urgency=low

  * Apply patch from Martin Michlmayr and upstream CVS for
    g++ 4.1 build failure. Closes: #356598.
    (Martin also reported a link failure, but I see no reason
    that should happen in a clean build, and upstream doesn't
    seem to have had that kind of issue either, so he probably
    just got a misbuild from his experimentations.)
  * Build-Depend on libalut-dev, and simgear 0.3.9-3.

 -- Ove Kaaven <ovek@arcticnet.no>  Sun, 19 Mar 2006 06:47:39 -0500

flightgear (0.9.9-1) unstable; urgency=low

  * New upstream release. Closes: #341727.
    Includes completely rewritten 3D clouds. Closes: #330861.
    (Other stuff: a working aircraft carrier, new aircraft,
    high-G blackouts, better weather, improved multiplayer,
    and much more.)

 -- Ove Kaaven <ovek@arcticnet.no>  Mon,  2 Jan 2006 15:49:28 -0500

flightgear (0.9.8-3) unstable; urgency=low

  * Built with gcc-4.0-compiled simgear.

 -- Ove Kaaven <ovek@arcticnet.no>  Mon, 25 Jul 2005 03:30:24 -0400

flightgear (0.9.8-2) unstable; urgency=low

  * Applied patch for gcc-4.0/amd64 compilation. Closes: #293392.

 -- Ove Kaaven <ovek@arcticnet.no>  Fri, 15 Jul 2005 19:16:35 -0400

flightgear (0.9.8-1) unstable; urgency=low

  * New upstream release. Closes: #283575.
  * Changed Build-Depends to depend on plib1.8.4-dev.

 -- Ove Kaaven <ovek@arcticnet.no>  Sun, 27 Mar 2005 21:56:19 -0500

flightgear (0.9.6-1) unstable; urgency=low

  * New upstream release.

 -- Ove Kaaven <ovek@arcticnet.no>  Sun, 30 Jan 2005 17:49:39 -0500

flightgear (0.9.5-1) unstable; urgency=low

  * New upstream release. Closes: #264625.
  * Upstream seem to have switched to OpenAL.
    Added build-dependency on libopenal-dev.

 -- Ove Kaaven <ovek@arcticnet.no>  Mon, 16 Aug 2004 19:57:03 +0200

flightgear (0.9.4-1) unstable; urgency=low

  * New upstream release.
    Should (hopefully) fix current GCC issues.
    Closes: #243226.
  * Changed Build-Depends for new xlibs package layout.
  * Changed Build-Depends to depend on plib1.8.3-dev.
    Closes: #242336.
  * Removed MetaKit build-dependency, flightgear apparently
    stopped using it in 0.9.3.

 -- Ove Kaaven <ovek@arcticnet.no>  Wed,  7 Apr 2004 10:48:30 +0200

flightgear (0.9.3-1) unstable; urgency=low

  * New upstream release. Yay, helicopters!
  * Install TerraSync README file into /usr/share/doc/flightgear.
    Closes: #201256.

 -- Ove Kaaven <ovek@arcticnet.no>  Sun,  9 Nov 2003 23:07:41 +0100

flightgear (0.9.2-1) unstable; urgency=low

  * New upstream release.

 -- Ove Kaaven <ovek@arcticnet.no>  Fri,  6 Jun 2003 02:06:36 +0200

flightgear (0.9.1-2) unstable; urgency=low

  * Rebuilt with metakit 2.4.9.2. Closes: #179391.

 -- Ove Kaaven <ovek@arcticnet.no>  Thu, 17 Apr 2003 12:18:36 +0200

flightgear (0.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Ove Kaaven <ovek@arcticnet.no>  Wed, 11 Dec 2002 14:50:48 +0100

flightgear (0.8.0-1) unstable; urgency=low

  * New upstream release.
  * This release compiles against plib 1.6.0. Closes: #160191.

 -- Ove Kaaven <ovek@arcticnet.no>  Mon,  9 Sep 2002 19:47:56 +0200

flightgear (0.7.10-2) unstable; urgency=low

  * Forgot to update the version of that simgear build-dep
    again, needs 0.0.18. Closes: #146788.

 -- Ove Kaaven <ovek@arcticnet.no>  Mon, 13 May 2002 05:32:34 +0200

flightgear (0.7.10-1) unstable; urgency=low

  * New upstream release

 -- Ove Kaaven <ovek@arcticnet.no>  Sat, 27 Apr 2002 19:45:50 +0200

flightgear (0.7.9-3) unstable; urgency=low

  * Rebuilt with metakit 2.4.3.

 -- Ove Kaaven <ovek@arcticnet.no>  Wed, 27 Mar 2002 21:50:15 +0100

flightgear (0.7.9-2) unstable; urgency=low

  * Made debian/rules try hard to get this compiled; if compiling
    with optimization fails, then it'll try again without.

 -- Ove Kaaven <ovek@arcticnet.no>  Thu,  7 Mar 2002 13:46:58 +0100

flightgear (0.7.9-1) unstable; urgency=low

  * New upstream release.
  * Yes, I'm subscribed to flightgear-announce, so I knew about 0.7.9
    already, but packaging new releases of this stuff takes some time.
    Closes: #134302.
  * Playing the intro music doesn't seem to hang fgfs in this release,
    and it's no longer played by default anyway. Closes: #104168.
  * Man pages seem to be available now. Closes: #87556, #87557, #87560, #87561.
  * Some binaries without manpages are no longer installed.
    (This includes runfgfs.) Closes: #87558, #87559, #87562.

 -- Ove Kaaven <ovek@arcticnet.no>  Sun, 17 Feb 2002 12:35:41 +0100

flightgear (0.7.8-1) unstable; urgency=low

  * New upstream release.
  * Build-depend on plib >= 1.4.1.

 -- Ove Kaaven <ovek@arcticnet.no>  Sat, 14 Jul 2001 21:55:05 +0200

flightgear (0.7.7-3) unstable; urgency=low

  * Grr... if the plib maintainer keeps insisting on keeping
    an "=" dependency on stable releases so I have to keep rebuilding
    this stuff all the time, I'll soon be in the mood to hijack plib.
    Well, this rebuild closes: #102769.

 -- Ove Kaaven <ovek@arcticnet.no>  Tue,  3 Jul 2001 03:41:31 +0200

flightgear (0.7.7-2) unstable; urgency=low

  * I realized I ought to do a versioned simgear-dev build-dep a few
    hours after the last upload, but this stuff takes a while to
    rebuild and I thought the autobuilders might be able to get it
    right this one time anyway, but they don't, it seems, so I
    guess I have to. It build-depends on simgear-dev >= 0.0.15,
    and plib-dev >= 1.4.0 while I'm at it. Closes: #102364.

 -- Ove Kaaven <ovek@arcticnet.no>  Tue, 26 Jun 2001 19:56:30 +0200

flightgear (0.7.7-1) unstable; urgency=low

  * New upstream release.
  * This release has support for multithreaded tile loading.
    Since Debian can do multithreading, I added --with-threads
    to the configure command.
  * Build-depend on autotools-dev.
    Update config.guess and config.sub from it.
  * Build-depend on debhelper v3.
  * Standards-Version updated to 3.5.5.

 -- Ove Kaaven <ovek@arcticnet.no>  Fri, 22 Jun 2001 17:27:20 +0200

flightgear (0.7.6-6) unstable; urgency=low

  * I can't believe I put the wrong bug number in my previos
    changelog entry (I managed to try to close one of my
    already-closed bugs)... Oh well, for the "install binaries
    into /usr/games" change, I meant: Closes: #90569. So there!

 -- Ove Kaaven <ovek@arcticnet.no>  Mon,  2 Apr 2001 02:18:47 +0200

flightgear (0.7.6-5) unstable; urgency=low

  * Install binaries into /usr/games. Closes: #87269.
  * Data directory moved from /usr/share/FlightGear to
    /usr/share/games/FlightGear.
    Depends on fgfs-base (>= 0.7.6-4) to do this move.
  * Handle DEB_BUILD_OPTIONS. Upgrade Standars-Version to 3.5.2.
    (it's a cleaner way to "build without -g on sparc" anyway)

 -- Ove Kaaven <ovek@arcticnet.no>  Thu, 29 Mar 2001 21:26:36 +0200

flightgear (0.7.6-4) unstable; urgency=low

  * Build without -g, to work around a g++ bug on sparc.

 -- Ove Kaaven <ovek@arcticnet.no>  Sun, 18 Mar 2001 17:12:08 +0100

flightgear (0.7.6-3) unstable; urgency=low

  * The plib maintainer keeps on making the lives of
    plib users miserable with his shlibs file. Despite being
    completely equivalent with the previous build, the new plib
    package still has incompatible shlibs, forcing me to recompile.
    Closes: #87269.
  * Added --with-network-olk (networking support) to configure options
    since I had to recompile anyway, so not completely for naught.

 -- Ove Kaaven <ovek@arcticnet.no>  Sat,  3 Mar 2001 19:23:00 +0100

flightgear (0.7.6-2) unstable; urgency=low

  * For some reason the plib maintainer use shlibs depending
    on the exact debian revision, so everything using plib has
    to be rebuilt whenever he uploads a bugfix or something.
  * Well, now built with debhelper v3, at least.

 -- Ove Kaaven <ovek@arcticnet.no>  Wed, 21 Feb 2001 15:58:38 +0100

flightgear (0.7.6-1) unstable; urgency=low

  * Initial Release. Closes: #85060.
  * Patched for FHS conformance.
  * Added missing libs to a few link command lines.

 -- Ove Kaaven <ovek@arcticnet.no>  Tue, 13 Feb 2001 16:05:02 +0100

Local variables:
add-log-mailing-address "ovek@arcticnet.no"
End:
